<?
if (!defined("_GNUBOARD_")) exit; // 개별 페이지 접근 불가 

// 선택옵션으로 인해 셀합치기가 가변적으로 변함
$colspan = 5;

if ($is_checkbox) $colspan++;
if ($is_category) $colspan++;
if ($is_good) $colspan++;
if ($is_nogood) $colspan++;
?>
<link rel="stylesheet" href="<?=$board_skin_path?>/css/basic.css" type="text/css">

<div class="title">
<h2>
<? if ($sca) {
  echo "$board[bo_subject]";
  echo "<span>$sca</span><span class=\"num\">($total_count)</span>";
  
}  else{
  echo "$board[bo_subject]";
  echo "<span class=\"num\">($total_count)</span>";
}?>
</h2>
<div class="support">
<? if ($rss_href) { ?>
  <a href='<?=$rss_href?>'><img src='<?=$board_skin_path?>/img/btn_rss.gif' width="45" height="20" align="absmiddle"></a>
<? }?>
<? if ($admin_href) { ?>
  <a href="<?=$admin_href?>"><img src="<?=$board_skin_path?>/img/btn_admin.gif" width="47" height="20" align="absmiddle" title="관리자"></a>
<? }?>
</div>
</div><!-- //title -->


<!-- 게시판 리스트 -->
<form name="fcategory" method="get" style="margin:0px;">
<input type='hidden' name='sca'  value='<?=$sca?>'>
</form>
<form name="fboardlist" method="post">
<input type='hidden' name='bo_table' value='<?=$bo_table?>'>
<input type='hidden' name='sfl'  value='<?=$sfl?>'>
<input type='hidden' name='stx'  value='<?=$stx?>'>
<input type='hidden' name='spt'  value='<?=$spt?>'>
<input type='hidden' name='page' value='<?=$page?>'>
<input type='hidden' name='sw'   value=''>
<table class="basic" border="0" cellspacing="0" summary="<?=$board[bo_subject]?> <?=$page?>페이지">
<caption><?=$board[bo_subject]?></caption>
<colgroup>
<col width="60px" />
<? if ($is_checkbox) { ?><col width="40" /><? } ?>
<?  if ($is_category) { //카테고리 너비지정?><col width="100" /><? } ?>
<col />
<col width="110" />
<col width="70" />
<col width="50" />
<? if ($is_good) { ?><col width="40" /><? } ?>
<? if ($is_nogood) { ?><col width="40" /><? } ?>
</colgroup>
<thead>
<tr>
  <th>번호</th>
  <? if ($is_checkbox) { ?>
  <th><input onClick="if (this.checked) all_checked(true); else all_checked(false);" type="checkbox"></th>
  <? }?>
  <?  if ($is_category) { ?>
  <th>
    <select name=sca onChange="location='<?=$category_location?>'+<?=strtolower($g4[charset])=='utf-8' ? "encodeURIComponent(this.value)" : "this.value"?>;">
    <option value=''>전체</option>
    <?=$category_option?>
  </select>
  </th>
  <? }?>
  <th>제&nbsp;&nbsp;&nbsp;목</th>
  <th>글쓴이</th>
  <th><?=subject_sort_link('wr_datetime', $qstr2, 1)?>날짜</a></th>
  <th><?=subject_sort_link('wr_hit', $qstr2, 1)?>조회</a></th>
  <? if ($is_good) { ?><th><?=subject_sort_link('wr_good', $qstr2, 1)?>추천</a></th><? }?>
  <? if ($is_nogood) { ?><th><?=subject_sort_link('wr_nogood', $qstr2, 1)?>비추</a></th><? }?>
</tr>
</thead>

<!-- 리스트 시작 -->
<tbody class="hover">
<? for ($i=0; $i<count($list); $i++) { ?>
<tr> 
  <td>
  <? if ($list[$i][is_notice])
    echo "<b>공지</b>";
  else if ($wr_id == $list[$i][wr_id]) // 현재위치
    echo "<span class='active'>{$list[$i][num]}</span>";
  else
    echo $list[$i][num];
  ?>
  </td>
  <? if ($is_checkbox) { ?>
  <td><input type=checkbox name=chk_wr_id[] value="<?=$list[$i][wr_id]?>"></td>
  <? }?>
  <?  if ($is_category) { ?>
  <td><a href='<?=$list[$i][ca_name_href]?>'><?=$list[$i][ca_name]?></a></td>
  <? }?>
  <td class="left">
  <? 
  echo $nobr_begin;
  echo $list[$i][reply];
  echo $list[$i][icon_reply];

  if ($list[$i][is_notice])
    echo "<a href='{$list[$i][href]}'><span class='notice'>{$list[$i][subject]}</span></a>";
  else
    echo "<a href='{$list[$i][href]}'>{$list[$i][subject]}</a>";

  if ($list[$i][comment_cnt]) 
    echo " <a href=\"{$list[$i][comment_href]}\"><span class='comment'>{$list[$i][comment_cnt]}</span></a>";

  // if ($list[$i]['link']['count']) { echo "[{$list[$i]['link']['count']}]"; }
  // if ($list[$i]['file']['count']) { echo "<{$list[$i]['file']['count']}>"; }

  echo " " . $list[$i][icon_new];
  echo " " . $list[$i][icon_file];
  echo " " . $list[$i][icon_link];
  echo " " . $list[$i][icon_hot];
  echo " " . $list[$i][icon_secret];
  echo $nobr_end;
  ?>
  </td>
  <td><?=$list[$i][name]?></td>
  <td class="gray"><?=$list[$i][datetime2]?></td>
  <td><?=$list[$i][wr_hit]?></td>
  <? if ($is_good) { ?><td><?=$list[$i][wr_good]?></td><? } ?>
  <? if ($is_nogood) { ?><td><?=$list[$i][wr_nogood]?></td><? } ?>
</tr>
<? } ?>

<? if (count($list) == 0) { echo "<tr><td colspan=\"$colspan\" height=\"150\" align=\"center\">게시물이 없습니다.</td></tr>"; } ?>
</tbody>
</table>
</form>

<!-- 버튼 -->
<div class="board_button">
  <div style="float:left;">
  <? if ($list_href) {
    echo "<a href=\"$list_href\" class=\"button large\">전체목록</a> ";
  }
  if ($is_checkbox) {
    echo "<a href=\"javascript:select_delete();\" class=\"button left\">선택삭제</a>";
	echo "<a href=\"javascript:select_copy('copy');\" class=\"button middle\">선택복사</a>";
	echo "<a href=\"javascript:select_copy('move');\" class=\"button right\">선택이동</a>";
  } ?>
  </div>

  <? if ($write_href) { ?>
  <div style="float:right;">
    <a href="<?=$write_href?>" class="button"><span class="icon"></span>글쓰기</a>
  </div>
  <? } ?>
  
</div>

<!-- 페이지 -->
<div class="paginate">
<?php
if ($prev_part_href) { 
  echo "<a href='$prev_part_href'>이전검색</a>"; 
}

echo $write_pages;

 if ($next_part_href) { 
   echo "<a href='$next_part_href'>다음검색</a>"; 
 } 
 ?>
</div>

<!-- 검색 -->
<div class="board_search">
  <form name="fsearch" method="get">
  <input type="hidden" name="bo_table" value="<?=$bo_table?>">
  <input type="hidden" name="sca"      value="<?=$sca?>">
  <input type="hidden" name="sop"      value="and">
  <select name="sfl">
      <option value="wr_subject">제목</option>
      <option value="wr_content">내용</option>
      <option value="wr_subject||wr_content">제목+내용</option>
      <option value="mb_id,1">회원아이디</option>
      <option value="mb_id,0">회원아이디(코)</option>
      <option value="wr_name,1">글쓴이</option>
      <option value="wr_name,0">글쓴이(코)</option>
  </select>
  <input name="stx" maxlength="15" itemname="검색어" required value='<?=stripslashes($stx)?>' class="input">
  <input type="image" src="<?=$board_skin_path?>/img/btn_search.png" width="15" height="15" class="btn"/>
  </form>
</div>


<script type="text/javascript">
if ('<?=$sca?>') document.fcategory.sca.value = '<?=$sca?>';
if ('<?=$sca?>') document.fboardlist.sca.value = '<?=$sca?>';
if ('<?=$stx?>') {
  document.fsearch.sfl.value = '<?=$sfl?>';

  if ('<?=$sop?>' == 'and') 
    document.fsearch.sop[0].checked = true;
  if ('<?=$sop?>' == 'or')
    document.fsearch.sop[1].checked = true;
  } else {
    document.fsearch.sop[0].checked = true;
}
</script>

<? if ($is_checkbox) { ?>
<script type="text/javascript">
function all_checked(sw) {
    var f = document.fboardlist;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]")
            f.elements[i].checked = sw;
    }
}

function check_confirm(str) {
    var f = document.fboardlist;
    var chk_count = 0;

    for (var i=0; i<f.length; i++) {
        if (f.elements[i].name == "chk_wr_id[]" && f.elements[i].checked)
            chk_count++;
    }

    if (!chk_count) {
        alert(str + "할 게시물을 하나 이상 선택하세요.");
        return false;
    }
    return true;
}

// 선택한 게시물 삭제
function select_delete() {
    var f = document.fboardlist;

    str = "삭제";
    if (!check_confirm(str))
        return;

    if (!confirm("선택한 게시물을 정말 "+str+" 하시겠습니까?\n\n한번 "+str+"한 자료는 복구할 수 없습니다"))
        return;

    f.action = "./delete_all.php";
    f.submit();
}

// 선택한 게시물 복사 및 이동
function select_copy(sw) {
    var f = document.fboardlist;

    if (sw == "copy")
        str = "복사";
    else
        str = "이동";
                       
    if (!check_confirm(str))
        return;

    var sub_win = window.open("", "move", "left=50, top=50, width=500, height=550, scrollbars=1");

    f.sw.value = sw;
    f.target = "move";
    f.action = "./move.php";
    f.submit();
}
</script>
<? } ?>
<!-- 게시판 목록 끝 -->